import { FileMetadataDto } from "./file-metadata.dto";

export class CreateSaveExportDto {
  uniqueId: string;
  name: string;
  title: string;
  description: string;
  creator: string;
  publisher: string;
  dateCreated: string;
  language: string;
  license: string;
  source: string;
  audience: string;
  size: string;
  duration: string;
  subtitles: string;
  collection: string;
  tag11: string;
  tag12: string;
  tag13: string;
  collection2: string;
  tag21: string;
  tag22: string;
  tag23: string;
  geography1: string;
  geography2: string;
  temporality1: string;
  temporality2: string;
  ignore: string;
  iso: string;
  constructor(file: FileMetadataDto, iso: string) {
    this.uniqueId = file.localFile.uniqueId;
    this.name = file.localFile.name;
    this.title = file.title;
    this.description = file.description;
    this.creator = file.creator;
    this.publisher = file.publisher;
    this.dateCreated = file.dateCreated;
    this.language = file.language;
    this.license = file.license;
    this.source = file.source;
    this.audience = file.audience;
    this.size = file.size;
    this.duration = file.duration;
    this.subtitles = file.subtitles;
    this.collection = file.collection;
    this.tag11 = file.tag11;
    this.tag12 = file.tag12;
    this.tag13 = file.tag13;
    this.collection2 = file.collection2;
    this.tag21 = file.tag21;
    this.tag22 = file.tag22;
    this.tag23 = file.tag23;
    this.geography1 = file.geography1;
    this.geography2 = file.geography2;
    this.temporality1 = file.temporality1;
    this.temporality2 = file.temporality2;
    this.ignore = file.ignore ? "true" : "false";
    this.iso = iso;
  }
}
